import { LoadingGlobalModalAN, } from '../constants'
import { LoadingGlobalModalStateM, } from '../../models/stateModels'


export default class LoadingGlobalModalAC
{
    static setState(state: LoadingGlobalModalStateM)
    {
        return {
            type: LoadingGlobalModalAN.SET_STATE,
            payload: state,
        }
    }

    static toggleVisibility(isShow: Boolean)
    {
        return {
            type: LoadingGlobalModalAN.TOGGLE_VISIBILITY,
            payload: isShow,
        }
    }

}
